/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/GRIDMEM.H__   1.2.1.4   17 Apr 1997 15:52:40   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/GRIDMEM.H__  $
** 
**    Rev 1.2.1.4   17 Apr 1997 15:52:40   ZJRD
** No change.
** 
**    Rev 1.2.1.3   16 Apr 1997 10:24:04   ZJRD
** No change.
** 
**    Rev 1.2.1.2   10 Apr 1997 15:34:50   ZJRD
** No change.
** 
**    Rev 1.2.1.1   03 Apr 1997 15:14:54   ZJRD
** No change.
** 
**    Rev 1.2.1.0   28 Mar 1997 10:20:02   ZJRD
** easy pack sld 2.09d
** 
**    Rev 1.1   19 Mar 1997 11:30:28   ZJRD
** No change.
** 
**    Rev 1.0   12 Mar 1997 14:46:52   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//
//  File name:  GRIDMEM.H
//
//  Description:The header file for the class: CGridMem
//
//  Author:     Chris
//
//  Date:       09/10/96
//
//  Modification:
//
//      1. 09/10/95, Initial version
//
//
//  Copyright (C) 1995 Microtek International. All rights reserved.
//
/////////////////////////////////////////////////////////////////////////////

#ifndef _GRIDMEM_H_
#define _GRIDMEM_H_

class CGridMem
{            
public:
// Attributes
	int m_nMinLines;
	int m_nMaxLines;
	int m_nMinRows;
	int m_nMaxRows;
	int m_nLines;
	int m_nRows;
	int m_nPosX;
	int m_nPosY;
	int m_nDeltax;
	int m_nGridHeight;
	int m_nGridWidth;
	RECT m_rectPos; 
	char* m_lpszTitle;

// Operations         
	CGridMem();
	~CGridMem();

	void SetMaxLines(int);
	void SetMinLines(int);
	void SetMaxRows(int);
	void SetMinRows(int);
	void SetPos(int,int,int);
	void SetLines(int);
	void SetRows(int);
	void SetGridHeight(int);
	void SetGridWidth(int);
	void Show(CDC*,BOOL);
	void DeleteLines(int);
	void DeleteRows(int);
	void AddLines(int);
	void AddRows(int);
	void DoRect(); 
	void SetTitle();
	int  GetRightPos();
	int  GetLeftPos();
	RECT GetGridRect(int,int);
	
protected:
// Attributes

// Operations
};

#endif
